<template>
    <div class="page">
        <LayoutTable :data="tableData" :config="tableConfig">
                    </LayoutTable>


        <drawer-show ref="drawerform" @ok="getData" />
    </div>
</template>

<script>
    /** 表单弹出框模式需引入 */
    import drawerShow from "./drawershow";
    import table from "@/assets/mixins/table";
    export default {
        name: "PerformRulesList",
        components: {
            drawerShow
},
        mixins: [table],
        created() {
          console.log("route",this.$route)
          this.changePath("/perform/rules")
          this.query = Object.assign({}, this.query, {type:5});
        },
        methods: {
            /** 重写新增方法 */
            toAdd(row) {
                this.$refs.drawerform.add(row);
            },
            /** 重写编辑方法 */
            toEdit(row) {
                this.$refs.drawerform.edit(row);
            },
            /** 重写查看方法 */
            toView(row) {
                this.$refs.drawerform.view(row);
            },

        },
        data() {
            return {
                config: {
                  isshowTabPane:true,
                    search: [
                    ],
                    columns: [
                        {type: "selection", width: 60},
                        {type: "index",label: "序号",width: 50},

                        {label: "分类", prop: "categoryId", formatter: this.formatter},
                        {label: "考核名称", prop: "name"},

                        {label: "评分标准", prop: "content"},

                        {label: "增减类型", prop: "subAddType",formatter: this.formatter},

                        {label: "分值", prop: "score"},

                        {label: "负责人分值", prop: "ownerScore"},

                        {label: "创建用户", prop: "createUserId", formatter: this.formatter},
                        {
                            label: "操作",
                            width: 240,
                            formatter: row => {
                                return (
                                    <table-buttons noAdd noDel row={row} onEdit={this.toEdit} onView={this.toView} onDel={this.toDel} />
                            );
                            }
                        }
                    ]
                }
            };
        }
    };
</script>
